# List Content Keys

## List Content Keys used by this Streaming Locator

RBAC Capability Required: `ams.streaminglocator.create`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- `project_name` string Required
- `locator_name` string Required

## Response

**200 Content Keys used by this Streaming Locator.**

- `contentKeys` list of objects [StreamingLocatorContentKey](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatorcontentkey) Optional
  - The content keys used by this streaming locator

### Show 6 properties

- `id` string Required
  - The id of the content key
- `labelReferenceInStreamingPolicy` string Optional
  - The label reference in the streaming policy
- `policyName` string Optional
  - The name of the policy
- `tracks` list of objects [StreamingLocatorTrackSelection](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatortrackselection) Optional
  - Not currently supported. The tracks which use this content key
  
#### Show 1 property

- `trackSelections` list of objects [StreamingLocatorTrackPropertyCondition](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatortrackpropertycondition) Required
  - The track selections

##### Show 3 properties

- `operation` object [TrackPropertyCompareOperation](https://docs.mediakind.com/api-reference/media-api/schemas/trackpropertycompareoperation) Required
  - The track property comparison operation

###### Show 2 properties

- `Equal` string Required
  - The track property comparison operation
- `Unknown` string Required
  - The track property comparison operation
- `property` string Required
  - The track property to compare against
- `value` string Required
  - The track property value.
- `type` enum Optional
  - The streaming locator content key type
  - Allowed values: CommonEncryptionCenc, CommonEncryptionCbcs, EnvelopeEncryption
- `value` string Optional
  - The value of the content key

## Errors

- **400 Bad Request**
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
    - **Show 3 properties**
      - `code` string Required
      - `detail` string Required
      - `extraDetail` map from strings to any Optional
      - **Show value schema**
        - 
        - `[any key]` any
      - `ref` string Required
        - A reference to the request that caused the error.
      - `status` integer Required
        - The HTTP status code

- **401 Unauthorized**
  - Similar structure as above

- **403 Forbidden**
  - Similar structure as above

- **404 Not Found**
  - Similar structure as above

- **429 Too Many Requests**
  - Similar structure as above

- **500 Internal Server Error**
  - Similar structure as above
